japa.parser.ast.expr

## Class ObjectCreationExpr

- java.lang.Object
- - japa.parser.ast.Node
  - - japa.parser.ast.expr.Expression
    - - japa.parser.ast.expr.ObjectCreationExpr

    public final class ObjectCreationExpr
    extends Expression

Author:
  Julio Vilmar Gesser

### Field Summary

### Fields inherited from class japa.parser.ast.Node

`ABSOLUTE_BEGIN_LINE, ABSOLUTE_END_LINE`

### Constructor Summary

Constructors
Constructor and Description
`ObjectCreationExpr()`
`ObjectCreationExpr(Expression scope, ClassOrInterfaceType type, List<Expression> args)`
`ObjectCreationExpr(int beginLine, int beginColumn, int endLine, int endColumn, Expression scope, ClassOrInterfaceType type, List<Type> typeArgs, List<Expression> args, List<BodyDeclaration> anonymousBody)`

### Method Summary

All Methods Instance Methods Concrete Methods
`<R,A> R` `accept(GenericVisitor<R,A> v, A arg)` Accept method for visitor support.
`<A> void` `accept(VoidVisitor<A> v, A arg)` Accept method for visitor support.
`List<BodyDeclaration>` `getAnonymousClassBody()`
`List<Expression>` `getArgs()`
`Expression` `getScope()`
`ClassOrInterfaceType` `getType()`
`List<Type>` `getTypeArgs()`
`void` `setAnonymousClassBody(List<BodyDeclaration> anonymousClassBody)`
`void` `setArgs(List<Expression> args)`
`void` `setScope(Expression scope)`
`void` `setType(ClassOrInterfaceType type)`
`void` `setTypeArgs(List<Type> typeArgs)`

### Methods inherited from class japa.parser.ast.Node

`addOrphanComment, contains, equals, getAllContainedComments, getBeginColumn, getBeginLine, getChildrenNodes, getComment, getData, getEndColumn, getEndLine, getOrphanComments, getParentNode, hashCode, isPositionedAfter, isPositionedBefore, setAsParentNodeOf, setAsParentNodeOf, setBeginColumn, setBeginLine, setComment, setData, setEndColumn, setEndLine, setParentNode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ObjectCreationExpr

    public ObjectCreationExpr()

#### ObjectCreationExpr

    public ObjectCreationExpr(Expression scope,
                              ClassOrInterfaceType type,
                              List<Expression> args)

#### ObjectCreationExpr

    public ObjectCreationExpr(int beginLine,
                              int beginColumn,
                              int endLine,
                              int endColumn,
                              Expression scope,
                              ClassOrInterfaceType type,
                              List<Type> typeArgs,
                              List<Expression> args,
                              List<BodyDeclaration> anonymousBody)

### Method Detail

#### accept

    public <R,A> R accept(GenericVisitor<R,A> v,
                          A arg)

Description copied from class: `Node`
Accept method for visitor support.

Specified by:
  `accept` in class `Node`
Type Parameters:
  `R` - the type the return value of the visitor
  `A` - the type the argument passed to the visitor
Parameters:
  `v` - the visitor implementation
  `arg` - the argument passed to the visitor
Returns:
  the result of the visit

#### accept

    public <A> void accept(VoidVisitor<A> v,
                           A arg)

Description copied from class: `Node`
Accept method for visitor support.

Specified by:
  `accept` in class `Node`
Type Parameters:
  `A` - the type the argument passed for the visitor
Parameters:
  `v` - the visitor implementation
  `arg` - any value relevant for the visitor

#### getAnonymousClassBody

    public List<BodyDeclaration> getAnonymousClassBody()

#### getArgs

    public List<Expression> getArgs()

#### getScope

    public Expression getScope()

#### getType

    public ClassOrInterfaceType getType()

#### getTypeArgs

    public List<Type> getTypeArgs()

#### setAnonymousClassBody

    public void setAnonymousClassBody(List<BodyDeclaration> anonymousClassBody)

#### setArgs

    public void setArgs(List<Expression> args)

#### setScope

    public void setScope(Expression scope)

#### setType

    public void setType(ClassOrInterfaceType type)

#### setTypeArgs

    public void setTypeArgs(List<Type> typeArgs)